#include <stdio.h>

int main(int argc, char *argv[])
{
double rbit_rate, nbit_rate, calc_rate;
FILE *testf;
FILE *rrate;
int REDUCT;
double ALPHA;

   if (argv[1][0] == '1')
        REDUCT = 1;
   else
	REDUCT = 0;

   ALPHA = ((argv[2][0]-48)*0.1) + ((argv[2][1]-48)*0.01);

   if (!(rrate = fopen("rate.par", "r"))) {
        perror("parameter file [rate.par]");
        exit(1);
   }
   fscanf(rrate,"%lf",&rbit_rate);
   //fclose(rrate);

   if (!(testf = fopen("test.log", "a"))) {
        perror("test file [test.log]");
        exit(1);
   }

   calc_rate = rbit_rate * ALPHA;

   if (calc_rate <= 2e+05)
	nbit_rate = 2e+05;
   else
	nbit_rate = calc_rate;

   fprintf(testf,"Prog2: third duplicate ACK signal received from iTCP socket.\n");
   fprintf(testf,"Prog2: current bit_rate = %lf\n", rbit_rate);

   if (!(rrate = freopen("rate.par", "w", rrate))) {
        perror("parameter file [rate.par]");
        exit(1);
   }
   if ( REDUCT ){
   	fprintf(rrate,"%lf",nbit_rate);
        fprintf(testf,"Prog2: %lf --> \"rate.par\", ALPHA = %lf.\n\n",nbit_rate, ALPHA);
   }
   else{
   	fprintf(rrate,"%lf",rbit_rate);
        fprintf(testf,"Prog2: %lf --> \"rate.par\", ALPHA = %lf.\n\n",rbit_rate, ALPHA);
   }//end if(REDUCT);

   fclose(rrate);
   fclose(testf);

   return 0;
}
