#include <stdio.h>

int main(int argc, char *argv[])
{
double rbit_rate, nbit_rate, ibit_rate, calc_rate;
FILE *fdp;
FILE *testf;
FILE *lock;
FILE *irate;
int REDUCT;
double ALPHA;
int same = 0;

   if (argv[1][0] == '1')
        REDUCT = 1;
   else
	REDUCT = 0;

   ALPHA = ((argv[2][0]-48)*0.1) + ((argv[2][1]-48)*0.01);

   //read the current bit rate from rate.par
   if (!(fdp = fopen("rate.par", "r"))) {
        perror("parameter file [rate.par]");
        exit(1);
   }
   fscanf(fdp,"%f",&rbit_rate);
   fclose(fdp);

   //read the original initial bit_rate from irate.par
   if (!(irate = fopen("irate.par", "r"))) {
        perror("parameter file [irate.par]");
        exit(1);
   }
   fscanf(irate,"%f",&ibit_rate);
   fclose(irate);

   calc_rate = rbit_rate / ALPHA;
   if ( REDUCT && (ibit_rate >= calc_rate))
        nbit_rate = calc_rate;
   else{
        nbit_rate = rbit_rate;
        same = 1;
   }
if (!same){
   if (!(testf = fopen("test.log", "a"))) {
        perror("test file [test.log]");
        exit(1);
   }
   fprintf(testf,"Prog3: recovering from iTCP rate reduction.\n");
   fprintf(testf,"Prog3: current bit_rate = %f\n", rbit_rate);

   if (!(fdp = fopen("rate.par", "w"))) {
        perror("parameter file [rate.par]");
        exit(1);
   }
   fprintf(fdp,"%f",nbit_rate);
   fclose(fdp);
   fprintf(testf,"Prog3: %f --> \"rate.par\", ALPHA = %f.\n\n",nbit_rate, ALPHA);
   fclose(testf);
} //end if !same
   

   if (!(lock = fopen("lock.par", "w"))) {
   	perror("lock file [lock.par]");
        exit(1);
   }
   fprintf(lock,"%d",0);
   fclose(lock);
	

   return 0;
}
